Subject: Re: bug#19651: 25.0.50; Error compiling (require 'cl-lib)

From: Michael Welsh Duggan <[email-masked]>
Date: Thu, 22 Jan 2015 08:50:14 -0500

Stefan Monnier <[email-masked]> writes:

>> foo.el:1:1:Error: Symbol's function definition is void: macroexp-macroexpand
>
> I suspect this is a build problem on your side: macroexp-macroexpand is
> defined in macroexp.el which is preloaded.
> So you need to "make" to rebuild a new "emacs" executable.
> If that doesn't work, try "rm lisp/emacs-lisp/macroexp.elc; make".

It is.  I was using an older version of emacs with a newer elisp library
due to the recently fixed problem with game score thingy.  My "make
install" aborted after installing the elisp but before installing emacs,
and I did not notice this.  I closed the report.

-- 
Michael Welsh Duggan
([email-masked])